# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KBookmarkImporter Class Reference

A class for importing the previous bookmarks (desktop files) Separated from KBookmarkManager to save memory (we throw this one out once the import is done). More...

`#include <kbookmarkimporter.h>`

Collaboration diagram for KBookmarkImporter:

[legend]
List of all members.

## Public Member Functions

| KBookmarkImporter (QDomDocument *doc)
void | import (const QString &path)

## Detailed Description

A class for importing the previous bookmarks (desktop files) Separated from KBookmarkManager to save memory (we throw this one out once the import is done).

Definition at line 32 of file kbookmarkimporter.h.

The documentation for this class was generated from the following files:

- kbookmarkimporter.h
- kbookmarkimporter.cc

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:15:22 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001